UFOrz

网站建设 Linux PHP ASP UFOrz...

menu

为IE8以下浏览器单独设置wordpress主题

现在很多wordpress主题使用html5,IE8以下陈旧的浏览器已经被很多主题设计者忽略,但是不能否认,在天朝仍然有很多固执的人在用IE8以下的浏览器,甚至IE6浏览器都占有很大市场份额,所以有时候我们迫不得已还是需要照顾到这部分顽固的访客。 浏览器市场份额比例 参考Serve IE6 Visitors the Default WordPress Theme如何为不同浏览器设置不同的WordPress主题两篇文章我们可以写一个简单的插件,用来为IE8以下的浏览器启用合适的wordpress主题。wordpress官方默认安装的Twenty Twelve主题具有很好的兼容性,所以我们可以为IE8以下浏览器启用这个主题。

你要做的就是将这段代码保存成一个PHP文件,并将其传到\wp-content\plugins\目录下,启用该插件。当然你也可以通过修改$theme = ‘twentytwelve’为其他主题的文件夹来更换其他主题。

需要注意的是这个简单的小插件使用了动态模板,所以如果你使用wp super cache这类缓存插件,这个插件不会起效。

本博客使用了wp super cache,而且本博客主要是为了自嗨,所以已经抛弃还在使用IE8以下浏览器的访客,并没有使用这个插件或者类似插件。

大猫

不爱出门
不爱运动

Author recent post